Subject: Re: bug#49138: 25.3; window title for multiple frames

From: Lars Ingebrigtsen <[email-masked]>
Date: Mon, 21 Jun 2021 15:07:15 +0200

"Ulrich Windl" <[email-masked]> writes:

> I think it would be both, consistent and helpful if Emacs would use
> "window" title "[email-masked] X" in all cases, where X could be
> either the name of the active window in the frame, or a (possibly
> abbreviated) list of windows being displayed in that frame.

It would be more consistent -- but I think the idea here is that if you
just have one frame, then it's useful for that frame to be named
something with "emacs" in the name.  If you have several frames, then
that's not useful any more, so it switches to using buffer names as the
frame title instead.

So this is working as intended, so I'm closing this bug report.

As Andreas said, `frame-title-format' can be used to customise this to
your liking.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no